SQ(1)

NAME
sq key subkey password - Change the password protecting secret key material

SYNOPSIS
sq key subkey password [OPTIONS]

DESCRIPTION
Change the password protecting secret key material.

Secret key material can be protected by a password. This subcommand changes or clears the password of one or more keys.

To strip the password either use `--clear` or supply a zero-length password when prompted for the new password.

If a key is password protected, and the correct password was not supplied using the `--password-file` argument, the user is prompted for the password. Likewise, if the new password isn't provided, the user is prompted.

OPTIONS

  Subcommand options

--binary
    Emit binary data

--cert=FINGERPRINT|KEYID
    Change the password for the secret key material of the specified (sub)keys from the key with the specified fingerprint or key ID

--clear-password
    Clear the password protecting the secret key material

--email=EMAIL
    Change the password for the secret key material of the specified (sub)keys from the key where a user ID includes the specified email address

--file=PATH
    Change the password for the secret key material of the specified (sub)keys from the key read from PATH

--key=KEY
    Change the password of the specified key.

    The key may be either the primary key or a subkey.

--new-password-file=PASSWORD_FILE
    File containing password to encrypt the secret key material.

    Note that the entire key file will be used as the password including any surrounding whitespace like a trailing newline.

--output=FILE
    Write to FILE or stdout if omitted

--userid=USERID
    Change the password for the secret key material of the specified (sub)keys from the key with the specified user ID

  Global options
See sq(1) for a description of the global options.

EXAMPLES

Change the password for Alice's signing key to the password in the specified file.

    sq key subkey password --new-password-file=password-file.txt \
        --cert=EB28F26E2739A4870ECC47726F0073F60FD0CBF0 \
        --key=42020B87D51877E5AF8D272124F3955B0B8DECC8

Clear the password protection for Alice's signing key.

    sq key subkey password --password-file=password-file.txt \
        --clear-password \
        --cert=EB28F26E2739A4870ECC47726F0073F60FD0CBF0 \
        --key=42020B87D51877E5AF8D272124F3955B0B8DECC8

SEE ALSO
sq(1), sq-key(1), sq-key-subkey(1).

For the full documentation see <https://book.sequoia-pgp.org>.

VERSION
0.39.0 (sequoia-openpgp 1.21.2)